/******************************************************************************
*   Open Source Copyright Notice and License: MessageSpy for FIPA-OS
*
* Copyright notice:
*    This file is Copyright (C) 2001 Gerstner Laboratory, Czech Technical
*    University in Prague (CTU), Karlovo namesti 13, 121 35 Prague 2,
*    Czech Republic. All rights reserved.
*
* The contents of this file are subject to the Emorphia Public License
* (the "License"); you may not use this file except in compliance with the
* License.  You may obtain a copy of the License at http://www.emorphia.com/EPL/
*
* Software distributed under the License is distributed on an "AS IS" basis,
* WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
* for the specific language governing rights and limitations under the License.
*
* The Original Code is MessageSpy for FIPA-OS (by Gerstner Laboratory).
*
* The Initial Developer of the Original Code is Gerstner Laboratory.
*
* Contributor(s):
*   Michal Dobisek, Gerstner Laboratory
*
******************************************************************************/

/**
 * Title:        Spy Headquaters Agent
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Gerstner Laboratory, FEE-CTU, Prague
 * @author Michal Dobek, michaldobisek@bigfoot.com
 * @version 1.0
 */

package bp.meta.hq;

// FIPA-OS imports
import fipaos.ont.fipa.ACL;


public interface HQListener {

  /**
   * Registers Listener interface for view events. View Events are
   * MessageClicked, AgentClicked, AgentRightClicked, MessageDoubleclicked.
   */
//  public void registerEventListener(ViewListener l);
//  public void deregisterEventListener(ViewListener l);

  /**
   * Add new message to the view.
   */
  public void addMessage(int ID, ACL msg);

  /**
   * Highlight the messsage (after click, etc...)
   */
  public void highlightMessage(int ID);

  /**
   * Add new agent. spy parameter sais if agent is sniffed.
   */
  public void addAgent(String name, boolean spy);

  /**
   * Delete the agent.
   */
  public void deleteAgent(String name);

  /**
   * Add listener to be notifyed when View events occur.
   */
  public void addViewListener(ViewListener l);

  /**
   * Remove the listener.
   */
  public void removeViewListener(ViewListener l);
}