/******************************************************************************
*   Open Source Copyright Notice and License: MessageSpy for FIPA-OS
*
* Copyright notice:
*    This file is Copyright (C) 2001 Gerstner Laboratory, Czech Technical
*    University in Prague (CTU), Karlovo namesti 13, 121 35 Prague 2,
*    Czech Republic. All rights reserved.
*
* The contents of this file are subject to the Emorphia Public License
* (the "License"); you may not use this file except in compliance with the
* License.  You may obtain a copy of the License at http://www.emorphia.com/EPL/
*
* Software distributed under the License is distributed on an "AS IS" basis,
* WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
* for the specific language governing rights and limitations under the License.
*
* The Original Code is MessageSpy for FIPA-OS (by Gerstner Laboratory).
*
* The Initial Developer of the Original Code is Gerstner Laboratory.
*
* Contributor(s):
*   Michal Dobisek, Gerstner Laboratory
*
******************************************************************************/

/**
 * Title:        Spy Headquaters Agent
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Gerstner Laboratory, FEE-CTU, Prague
 * @author Michal Dobek, michaldobisek@bigfoot.com
 * @version 1.0
 */

package bp.meta.hq.visualizer;

public class VCONST {

  public static final int INIT_W        = 300;
  public static final int INIT_H        = 300;
  public static final int HEADER_HEIGHT = 50;

  // Agent box constants
  public static final int BOX_HEIGHT    = 30;
  public static final int BOX_WIDTH     = 75;
  public static final int BOX_OFS       = 20;
  public static final int BOX_Y         = HEADER_HEIGHT-BOX_HEIGHT;
  public static final int BOX_X         = BOX_WIDTH+BOX_OFS;

  // Message area constants
  public final static int COL_OFS = BOX_OFS+((BOX_WIDTH+1) >>1); //Div2
  public final static int COL_X   = BOX_X;

  public final static int ROW_OFS = 20;
  public final static int ROW_H   = 20;

  public final static int BAR_W2  = 2;
  public final static int BAR_W   = BAR_W2*2+2;
  public final static int BAR_OFS = (ROW_H+2)>>2;   //Div4

  public final static int TIP_W2  = 4;
  public final static int TIP_W   = TIP_W2*2;
  public final static int TIP_LEN = 5;

  public final static int LINE_W2 = 1;
  public final static int LINE_W  = 2*LINE_W2+1;
}