/******************************************************************************
*   Open Source Copyright Notice and License: MessageSpy for FIPA-OS
*
* Copyright notice:
*    This file is Copyright (C) 2001 Gerstner Laboratory, Czech Technical
*    University in Prague (CTU), Karlovo namesti 13, 121 35 Prague 2,
*    Czech Republic. All rights reserved.
*
* The contents of this file are subject to the Emorphia Public License
* (the "License"); you may not use this file except in compliance with the
* License.  You may obtain a copy of the License at http://www.emorphia.com/EPL/
*
* Software distributed under the License is distributed on an "AS IS" basis,
* WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
* for the specific language governing rights and limitations under the License.
*
* The Original Code is MessageSpy for FIPA-OS (by Gerstner Laboratory).
*
* The Initial Developer of the Original Code is Gerstner Laboratory.
*
* Contributor(s):
*   Michal Dobisek, Gerstner Laboratory
*
******************************************************************************/

/**
 * Title:        MessageSpy Ontology
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Gerstner Laboratory, FEE-CTU, Prague
 * @author Michal Dobek, michaldobisek@bigfoot.com
 * @version 1.0
 */

package bp.meta.ont;

public class SPYCONSTANTS {

  //Spy tag is used to distingues multiple copies of the same message
  public static final String SPY_TAG          = "Xspy-tag";

  //Language
  public static final String SPY_LANGUAGE     = "spy-language";

  //Ontology
  public static final String SPY_ORDER        = "spy-order";
  public static final String SPY_REPORT       = "spy-report";
  public static final String CAPTURED_MESSAGE = "captured-message";

  //
  public static final String ACTION           = "action";
  public static final String DONE             = "done";

  // Action verbs
  public static final String CLEAR            = "clear";
  public static final String GET              = "get";
  public static final String PUT              = "put";

   //Filter constants
  public static final String FILTER           = "filter";
  public static final String HQ               = ":hq";
  public static final String LOGIC            = ":logic";
  public static final String PERFORMATIVE     = ":performative";
  public static final String AND              = "_and";
  public static final String OR               = "_or";

  //Statistics constants
  public static final String STATISTICS       = "statistics";
  public static final String TOTAL            = ":total";
  public static final String INCOMMING        = ":incomming";
  public static final String OUTGOING         = ":outgoing";

}