/******************************************************************************
*   Open Source Copyright Notice and License: MessageSpy for FIPA-OS
*
* Copyright notice:
*    This file is Copyright (C) 2001 Gerstner Laboratory, Czech Technical
*    University in Prague (CTU), Karlovo namesti 13, 121 35 Prague 2,
*    Czech Republic. All rights reserved.
*
* The contents of this file are subject to the Emorphia Public License
* (the "License"); you may not use this file except in compliance with the
* License.  You may obtain a copy of the License at http://www.emorphia.com/EPL/
*
* Software distributed under the License is distributed on an "AS IS" basis,
* WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
* for the specific language governing rights and limitations under the License.
*
* The Original Code is MessageSpy for FIPA-OS (by Gerstner Laboratory).
*
* The Initial Developer of the Original Code is Gerstner Laboratory.
*
* Contributor(s):
*   Michal Dobisek, Gerstner Laboratory
*
******************************************************************************/

/**
 * Title:        PingPong agent for MessageSpy testing
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      Gerstner Laboratory, FEE-CTU, Prague
 * @author Michal Dobek, michaldobisek@bigfoot.com
 * @version 1.0
 */

package bp.pingpong;

// Agent types
import fipaos.agent.task.Task;
import fipaos.agent.conversation.*;

// Ontology types
import fipaos.ont.fipa.*;
import fipaos.ont.fipa.fipaman.*;

// Finally import the diagnostics class for output
import fipaos.util.DIAGNOSTICS;

/**
 * Title:        Ping Pong Agent Implementation
 * Description:  My first MAS
 * Copyright:    Copyright (c) 2001
 * Company:      none
 * @author MiDo
 * @version 1.0
 */

public class PongTask extends PingPongTask {

  private Conversation _conv;

  public PongTask(Conversation conv) {
    super("pong");
    _conv= conv;
    _opponent= _conv.getSenderAID(_conv.getLatestMessageIndex());
  }

  protected void startTask()
  {
    super.startTask();
    handleRequest(_conv);  // Just use the standard procedure
  }
}